Income Statement API
Retrieve nested P&L by fiscal year, quarter, or TTM, with links to source 10-K, 10-Q, 20-F, or 40-F when we can match a filing. Same company id as Entity Reference.
curl -X GET "https://example.com/v2/fundamentals/financials/income?id=AAPL&periodicity=fy&limit=4"{ "id": "AAPL", "entity": { "name": "Apple Inc.", "name_short": "Apple Inc.", "full_ticker": "AAPL US", "normalized_ticker": "AAPL", "backlink_url": "https://alpha-analyst.com/stocks/aapl", "category": "EQUITY", "cik": "0000320193", "lei": "HWUPKR0MPOU8FGXBT394" }, "statement": "income", "periodicity": "fy", "include_ltm": false, "period_start": null, "period_end": null, "limit": 4, "growth": "none", "currency": { "requested": null, "reporting": { "currency": "USD", "original_currency": "USD", "applied_exchange_rate": 1 }, "trading": null }, "count": 4, "columns": [ { "date": "2022-09-24", "fiscal_year": "2022", "period": "FY", "reported_currency": "USD", "original_currency": "USD", "is_ltm": false, "filing": { "document_id": "0000320193-22-000108|0", "filing_id": "0000320193-22-000108", "source": "sec", "filing_type": "10-K", "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-22-000108?filename=aapl-20220924.htm", "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019322000108/aapl-20220924.htm", "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019322000108/0000320193-22-000108-index.html" }, "filing_match": "exact" }, { "date": "2023-09-30", "fiscal_year": "2023", "period": "FY", "reported_currency": "USD", "original_currency": "USD", "is_ltm": false, "filing": { "document_id": "0000320193-23-000106|0", "filing_id": "0000320193-23-000106", "source": "sec", "filing_type": "10-K", "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-23-000106?filename=aapl-20230930.htm", "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019323000106/aapl-20230930.htm", "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019323000106/0000320193-23-000106-index.html" }, "filing_match": "exact" }, { "date": "2024-09-28", "fiscal_year": "2024", "period": "FY", "reported_currency": "USD", "original_currency": "USD", "is_ltm": false, "filing": { "document_id": "0000320193-24-000123|0", "filing_id": "0000320193-24-000123", "source": "sec", "filing_type": "10-K", "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-24-000123?filename=aapl-20240928.htm", "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019324000123/aapl-20240928.htm", "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019324000123/0000320193-24-000123-index.html" }, "filing_match": "date" }, { "date": "2025-09-27", "fiscal_year": "2025", "period": "FY", "reported_currency": "USD", "original_currency": "USD", "is_ltm": false, "filing": { "document_id": "0000320193-25-000079|0", "filing_id": "0000320193-25-000079", "source": "sec", "filing_type": "10-K", "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-25-000079?filename=aapl-20250927.htm", "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/aapl-20250927.htm", "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.html" }, "filing_match": "date" } ], "rows": [ { "metric": "revenue", "name": "Revenue", "parent": null, "level": 0, "sign": null, "row_type": "normal", "values": [ 394328000000, 383285000000, 391035000000, 416161000000 ] }, { "metric": "costOfRevenue", "name": "Cost of Revenue", "parent": "revenue", "level": 1, "sign": "-", "row_type": "normal", "values": [ 223546000000, 214137000000, 210352000000, 220960000000 ] }, { "metric": "grossProfit", "name": "Gross Profit", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "values": [ 170782000000, 169148000000, 180683000000, 195201000000 ] }, { "metric": "operatingExpenses", "name": "Operating Expenses", "parent": "grossProfit", "level": 1, "sign": "-", "row_type": "subtotal", "values": [ 51345000000, 54847000000, 57467000000, 62151000000 ] }, { "metric": "sellingGeneralAndAdministrativeExpenses", "name": "Selling, General & Admin", "parent": "operatingExpenses", "level": 2, "sign": "+", "row_type": "normal", "values": [ 25094000000, 24932000000, 26097000000, 27601000000 ] }, { "metric": "generalAndAdministrativeExpenses", "name": "General And Administrative Expenses", "parent": "sellingGeneralAndAdministrativeExpenses", "level": 3, "sign": "+", "row_type": "normal", "values": [ 0, 0, 7458000000, 27601000000 ] }, { "metric": "sellingAndMarketingExpenses", "name": "Selling And Marketing Expenses", "parent": "sellingGeneralAndAdministrativeExpenses", "level": 3, "sign": "+", "row_type": "normal", "values": [ 0, 0, 18639000000, 0 ] }, { "metric": "researchAndDevelopmentExpenses", "name": "Research and Development", "parent": "operatingExpenses", "level": 2, "sign": "+", "row_type": "normal", "values": [ 26251000000, 29915000000, 31370000000, 34550000000 ] }, { "metric": "otherExpenses", "name": "Other Operating Expenses", "parent": "operatingExpenses", "level": 2, "sign": "+", "row_type": "normal", "values": [ 0, 0, 0, 0 ] }, { "metric": "operatingIncome", "name": "Operating Income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "values": [ 119437000000, 114301000000, 123216000000, 133050000000 ] }, { "metric": "nonOperatingIncome_calc", "name": "Non Operating Income", "parent": "operatingIncome", "level": 1, "sign": "+", "row_type": "normal", "values": [ -440000000, -748000000, 269000000, -321000000 ] }, { "metric": "netInterestIncome", "name": "Interest Income, Net", "parent": "nonOperatingIncome_calc", "level": 2, "sign": "+", "row_type": "normal", "values": [ -106000000, -183000000, 0, 0 ] }, { "metric": "interestIncome", "name": "Interest Income", "parent": "netInterestIncome", "level": 3, "sign": "+", "row_type": "normal", "values": [ 2825000000, 3750000000, 0, 0 ] }, { "metric": "interestExpense", "name": "Interest Expense", "parent": "netInterestIncome", "level": 3, "sign": "-", "row_type": "normal", "values": [ 2931000000, 3933000000, 0, 0 ] }, { "metric": "totalOtherIncomeExpensesNet", "name": "Other Non-Op Income", "parent": "nonOperatingIncome_calc", "level": 2, "sign": "+", "row_type": "normal", "values": [ -334000000, -565000000, 269000000, -321000000 ] }, { "metric": "incomeBeforeTax", "name": "Pretax Income", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "values": [ 119103000000, 113736000000, 123485000000, 132729000000 ] }, { "metric": "incomeTaxExpense", "name": "Income Tax Expense", "parent": "incomeBeforeTax", "level": 1, "sign": "-", "row_type": "normal", "values": [ 19300000000, 16741000000, 29749000000, 20719000000 ] }, { "metric": "netIncomeFromContinuingOperations", "name": "Income from Cont Ops", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "values": [ 99803000000, 96995000000, 93736000000, 112010000000 ] }, { "metric": "netExtraordinaryLosses_calc", "name": "Net Extraordinary Losses", "parent": "netIncomeFromContinuingOperations", "level": 1, "sign": "-", "row_type": "normal", "values": [ 0, 0, 0, 0 ] }, { "metric": "netIncomeFromDiscontinuedOperations", "name": "Discounted operations", "parent": "netExtraordinaryLosses_calc", "level": 2, "sign": "+", "row_type": "normal", "values": [ 0, 0, 0, 0 ] }, { "metric": "otherAdjustmentsToNetIncome", "name": "XO & Accounting Changes", "parent": "netExtraordinaryLosses_calc", "level": 2, "sign": "+", "row_type": "normal", "values": [ 0, 0, 0, 0 ] }, { "metric": "incomeInclMI_calc", "name": "Income Incl. MI", "parent": null, "level": 0, "sign": null, "row_type": "subtotal", "values": [ 99803000000, 96995000000, 93736000000, 112010000000 ] }, { "metric": "minorityInterests_calc", "name": "Minority Interests", "parent": "incomeInclMI_calc", "level": 1, "sign": "-", "row_type": "normal", "values": [ 0, 0, 0, 0 ] }, { "metric": "netIncome", "name": "Net Income, GAAP", "parent": null, "level": 0, "sign": null, "row_type": "total", "values": [ 99803000000, 96995000000, 93736000000, 112010000000 ] }, { "metric": "netIncomeDeductions", "name": "Prfrrd Div & Other", "parent": "netIncome", "level": 1, "sign": "-", "row_type": "normal", "values": [ 0, 0, 0, 0 ] }, { "metric": "bottomLineNetIncome", "name": "Net Income Avail To Common", "parent": null, "level": 0, "sign": null, "row_type": "total", "values": [ 99803000000, 96995000000, 93736000000, 112010000000 ] }, { "metric": "weightedAverageShsOut", "name": "Weighted Average Shs Out", "parent": null, "level": 0, "sign": null, "row_type": "normal", "values": [ 16215963000, 15744231000, 15343783000, 14948500000 ] }, { "metric": "eps", "name": "EPS", "parent": null, "level": 0, "sign": null, "row_type": "normal", "values": [ 6.15, 6.16, 6.11, 7.49 ] }, { "metric": "weightedAverageShsOutDil", "name": "Weighted Average Shs Out Dil", "parent": null, "level": 0, "sign": null, "row_type": "normal", "values": [ 16325819000, 15812547000, 15408095000, 15004697000 ] }, { "metric": "epsDiluted", "name": "EPS Diluted", "parent": null, "level": 0, "sign": null, "row_type": "normal", "values": [ 6.11, 6.13, 6.08, 7.46 ] } ]}Query Parameters
Company or listing id. Same resolve as Entity Reference: ticker (AAPL, AAPL US, AAPL-US), CIK, LEI, EDINET code, CRD, SEC series id, internal id, FIGI, composite FIGI, and share-class FIGI. ISIN and CUSIP match but are never returned. See Ids you can send.
1 <= length <= 200fy, quarter, or ttm. Default fy. fy is fiscal year, quarter is Q1-Q4, ttm is last twelve months.
"fy"Value in
- "fy"
- "quarter"
- "ttm"
When periodicity=fy, append a Last-12M column if it is not the same as the latest FY. Ignored (400) on quarter or ttm.
falseInclusive period-end start (YYYY-MM-DD).
dateInclusive period-end end (YYYY-MM-DD).
dateLatest N periods after the date filter. Omit for all matching periods up to 100.
1 <= value <= 100ISO 4217 code (USD, EUR, CAD). Case-insensitive. Latest warehouse spot; crosses that are not a listed pair convert via USD. See Forex.
^[A-Za-z]{3,4}$3 <= length <= 4none, period, or yoy. Default none. period is adjacent percent change. yoy is the same fiscal period in the prior year.
"none"Value in
- "none"
- "period"
- "yoy"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json